org.apache.tinkerpop.gremlin.process.traversal.step

## Enum ReadWriting.Mode

- java.lang.Object
- - java.lang.Enum<ReadWriting.Mode>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.ReadWriting.Mode

- All Implemented Interfaces:
    Serializable, Comparable<ReadWriting.Mode>
  Enclosing interface:
    ReadWriting

      public static enum ReadWriting.Mode
      extends Enum<ReadWriting.Mode>

  Determines the mode of the the IO operation as being for reading or writing (or by default "unset")

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READING`
    `UNSET`
    `WRITING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReadWriting.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReadWriting.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSET

          public static final ReadWriting.Mode UNSET

    - #### READING

          public static final ReadWriting.Mode READING

    - #### WRITING

          public static final ReadWriting.Mode WRITING

  - ### Method Detail

    - #### values

          public static ReadWriting.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadWriting.Mode c : ReadWriting.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadWriting.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.